package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBGuidelineActivity entity.
 */
public class TBGuidelineActivityDTO implements Serializable {

    private Long id;

    private Long tbGuidelineDetailsId;

    private Long tbActivityTypeId;

    private String externalTable;

    private String activityTypeName;

    private String activityTypeDescription;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTbGuidelineDetailsId() {
        return tbGuidelineDetailsId;
    }

    public void setTbGuidelineDetailsId(Long tbGuidelineDetailsId) {
        this.tbGuidelineDetailsId = tbGuidelineDetailsId;
    }

    public String getExternalTable() {
        return externalTable;
    }

    public void setExternalTable(String externalTable) {
        this.externalTable = externalTable;
    }

    public Long getTbActivityTypeId() {
        return tbActivityTypeId;
    }

    public void setTbActivityTypeId(Long tbActivityTypeId) {
        this.tbActivityTypeId = tbActivityTypeId;
    }

    public String getActivityTypeName() {
        return activityTypeName;
    }

    public void setActivityTypeName(String activityTypeName) {
        this.activityTypeName = activityTypeName;
    }

    public String getActivityTypeDescription() {
        return activityTypeDescription;
    }

    public void setActivityTypeDescription(String activityTypeDescription) {
        this.activityTypeDescription = activityTypeDescription;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBGuidelineActivityDTO tBGuidelineActivityDTO = (TBGuidelineActivityDTO) o;
        if (tBGuidelineActivityDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBGuidelineActivityDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBGuidelineActivityDTO{" +
            "id=" + getId() +
            ", externalTable='" + getExternalTable() + "'" +
            ", tbGuidelineDetailsId='" + getTbGuidelineDetailsId() + "'" +
            ", tbActivityTypeId='" + getTbActivityTypeId() + "'" +
            ", activityTypeName='" + getActivityTypeName() + "'" +
            ", activityTypeDescription='" + getActivityTypeDescription() + "'" +
            "}";
    }
}
